Skip to main content
GET
/
orgs
/
{org_id}
/
segments
Get Segments
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/segments
[
  {
    "id": "<string>",
    "name": "<string>",
    "color": "red",
    "contacts_count": 123,
    "boards": [
      {
        "board_id": "<string>",
        "board_name": "<string>",
        "column_id": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

Search segments by name

exclude_board_columns
boolean

Exclude segments that are used as board columns.

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
name
string
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
contacts_count
number
required
boards
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required